(*
 * aKEY -- registration key system (keygen)
 *
 * Delphi interface to keygen.dll
 *
 * Copyright (c) 2000-2002 by Joergen Ibsen / Jibz
 * All Rights Reserved
 *
 *)

unit keygen;

interface

uses
  Windows;

const
  BLOCK_END         = 0;
  BLOCK_SIGNER_DATA = 1;
  BLOCK_USER_DATA   = 2;

  function aKEY_create_key(Size : DWORD;
                           Seed : DWORD) : Pointer;stdcall;

  function aKEY_add_block(Key : Pointer;
                          BlockType : DWORD;
                          Data : Pointer;
                          Length : DWORD) : DWORD;stdcall;

  function aKEY_sign_key(Key : Pointer) : DWORD;stdcall;

  function aKEY_encode_key(Key : Pointer) : PChar;stdcall;

  procedure aKEY_destroy_key(Key : Pointer) ;stdcall;

  procedure aKEY_stir_randpool(Data : Pointer;
                               Length : DWORD) ;stdcall;

implementation

const
  DLL = 'keygen.dll';

  function aKEY_create_key(Size : DWORD;
                           Seed : DWORD) : Pointer;stdcall;external DLL;

  function aKEY_add_block(Key : Pointer;
                          BlockType : DWORD;
                          Data : Pointer;
                          Length : DWORD) : DWORD;stdcall;external DLL;

  function aKEY_sign_key(Key : Pointer) : DWORD;stdcall;external DLL;

  function aKEY_encode_key(Key : Pointer) : PChar;stdcall;external DLL;

  procedure aKEY_destroy_key(Key : Pointer) ;stdcall;external DLL;

  procedure aKEY_stir_randpool(Data : Pointer;
                               Length : DWORD) ;stdcall;external DLL;

end.
